package com.faraphel.tasks_valider.ui.widgets.connectivity

import android.net.wifi.p2p.WifiP2pDevice
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable


@Composable
fun WifiP2pDeviceWidget(device: WifiP2pDevice) {
    Column {
        Row {
            Text(text = "Name: ")
            Text(text = device.deviceName)
        }
        Row {
            Text(text = "Address: ")
            Text(text = device.deviceAddress)
        }
        Row {
            Text(text = "Is Owner: ")
            Text(text = device.isGroupOwner.toString())
        }
    }
}